<?php

namespace Drupal\menu_family;

/**
 * Find the children of a node.
 */
class MenuFamilyChildren extends MenuFamilyRelated {

  /**
   * {@inheritdoc}
   */
  protected static function getStartingNode(
    string $menu_name,
    int $nid,
  ): string {
    $menu_link = self::findNodeMenuLinkContent($menu_name, $nid);

    if ($menu_link === NULL) {
      return "";
    }

    return 'menu_link_content:' . $menu_link->getDerivativeId();
  }

}
