<?php

namespace Drupal\menu_family;

/**
 * Find the siblings of a node.
 */
class MenuFamilySiblings extends MenuFamilyRelated {

  /**
   * {@inheritdoc}
   */
  protected static function getStartingNode(
    string $menu_name,
    int $nid,
  ): string {
    $menu_link = self::findNodeMenuLinkContent($menu_name, $nid);

    if ($menu_link === NULL || $menu_link->getParent() === NULL) {
      return "";
    }

    return $menu_link->getParent();
  }

}
